## Index

### Type aliases

- DecoratorFn

### Functions

- CollectionProperty

## Type aliases

### DecoratorFn

DecoratorFn: function

- Defined in decorator/impl/collection/collection-property.decorator.ts:14

#### Type declaration

- - (target: object, propertyKey: string | symbol): void

  - #### Parameters

    - ##### target: object

    - ##### propertyKey: string | symbol

    #### Returns void

## Functions

### CollectionProperty

- CollectionProperty<R, T>(opts?: CollectionPropertyDataBase<R, T>): DecoratorFn

- - Defined in decorator/impl/collection/collection-property.decorator.ts:16

  #### Type parameters

  - #### R

  - #### T: StringAttribute | NumberAttribute | BinaryAttribute

  #### Parameters

  - ##### Default value opts: CollectionPropertyDataBase<R, T> = {}

  #### Returns DecoratorFn

Generated using TypeDoc